#include <Servo.h>

Servo myservo;
int prevPos = 0;

//// tuning parameters of the position of the hand
//int angle[] = {180, 150, 120, 90, 60, 30, 0}; // initial value
int angle[] = {180, 145, 116, 90, 62, 32, 0}; // change this table to tune fine positions
#define RIGHT_END_PWM 560 // tune the position at 60min (right end) typically, 600
#define LEFT_END_PWM 2280 // tune the position at 0min (left end) typically, 2400

void slowServo(int pos) {
  int i = 0;
  if(prevPos < pos) {
    for(i = prevPos; i <= pos + 1; i++) {
      myservo.write(i);
      delay(10);      
    }
  } else {
    for(i = prevPos; i >= pos - 1; i--) {
      myservo.write(i);
      delay(10);      
    }
  }
  myservo.write(pos);
  prevPos = pos;
}

void setup() {
  myservo.attach(9, RIGHT_END_PWM, LEFT_END_PWM);  // attaches the servo on pin 9 to the servo object
  myservo.write(0);
}

void loop() {
  int j;
  for(j = 0; j < 7; j++) {
    slowServo(angle[j]);
    delay(1000);
  }
}
